Skip to main content
`Ctrl`+`K`

# MatSetTransposeNullSpace

attaches the null space of a transpose of a matrix to the matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetTransposeNullSpace(Mat mat, MatNullSpace nullsp)

Logically Collective

## Input Parameters

- mat - the matrix

- nullsp - the null space object

## Notes

This allows solving singular linear systems defined by the transpose of the matrix using `KSP` solvers with left preconditioning.

See `MatSetNullSpace()`

## See Also

Matrices, `Mat`, `MatNullSpace`, `MatCreate()`, `MatNullSpaceCreate()`, `MatSetNearNullSpace()`, `MatGetNullSpace()`, `MatSetNullSpace()`, `MatGetTransposeNullSpace()`, `MatNullSpaceRemove()`, `KSPSetPCSide()`

## Level

advanced

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex67.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages